[SCM] Packaging for Lugaru HD branch, debian_source, updated. debian/0_20110520.1+hge4354+dfsg-1-14-gc8274e7

Arand Nash ienorand at gmail.com
Mon Oct 24 20:00:42 UTC 2011


The following commit has been merged in the debian_source branch:
commit c8274e7a2275165704902437b3f3cc86bd1e5a5b
Author: Arand Nash <ienorand at gmail.com>
Date:   Mon Oct 24 21:57:14 2011 +0200

    Rework wrapper script
    
    * Test for failure in cd
    * Don't keep arguments in a variable
    * Use if/else at the end instead

diff --git a/debian/scripts/lugaru b/debian/scripts/lugaru
index 0db43a7..db92b7b 100644
--- a/debian/scripts/lugaru
+++ b/debian/scripts/lugaru
@@ -1,14 +1,15 @@
 #!/bin/sh
 
-CMD_OPTIONS="-windowed -nomousegrab"
-export CMD_OPTIONS
-
-for arg in "$@"
-do 	case "$@" in
+for arg in "$@"; do
+ 	case "$arg" in
 	-h|-help|--help) exec man lugaru ;;
-	-fullscreen) unset CMD_OPTIONS ;;
+	-fullscreen) fullscreen="true" ;;
 	esac
 done
 
-cd /usr/lib/lugaru
-exec ./lugaru $CMD_OPTIONS ${1+"$@"}
+cd /usr/lib/lugaru || exit 1
+if [ "$fullscreen" = "true" ]; then
+	exec ./lugaru ${1+"$@"}
+else
+	exec ./lugaru -windowed -nomosegrab ${1+"$@"}
+fi

-- 
Packaging for Lugaru HD



More information about the Pkg-games-commits mailing list